Package org.gradle.vcs

# Interface VcsMappings

@Incubating public interface VcsMappings
In settings.gradle:

     vcsMappings {
       withModule("group:name") {
         from vcs(GitVcs) {
             url = "..."
         }
       }
       addRule("rule for group") { details ->
           if (details.requested.group == "group") {
               from vcs(GitVcs) {
                   url = "..."
               }
           }
       }
     }

Since:
  4.4

## Method Summary

Modifier and Type
Method
Description
`VcsMappings`
`addRule(String message, Action<VcsMapping> rule)`
`<T extends VersionControlSpec>
T`
`vcs(Class<T> type, Action<? super T> configuration)`
`VcsMappings`
`withModule(String groupName, Action<VcsMapping> rule)`

## Method Details

### addRule

VcsMappings addRule(String message, Action<VcsMapping> rule)

### withModule

VcsMappings withModule(String groupName, Action<VcsMapping> rule)

### vcs

<T extends VersionControlSpec> T vcs(Class<T> type, Action<? super T> configuration)